<?php

namespace App\Providers;


// use Laravel\Passport\Token;
use Laravel\Passport\Passport;
// use App\Models\Passport\Client;
// use App\Models\Passport\AuthCode;
use Laravel\Passport\Token;
use Laravel\Passport\Client;
use Laravel\Passport\AuthCode;
use Laravel\Passport\RefreshToken;
// use App\Models\Passport\RefreshToken;
// use App\Models\Passport\PersonalAccessClient;
use Illuminate\Support\Facades\Gate;
use Laravel\Passport\PersonalAccessClient;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
// use App\Models\Passport\Token;
class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        'App\Models\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();
        Passport::routes();   //Register Passport routes
        // Passport::enableImplicitGrant();
        // Passport::useUserModel(User::class);
        // Passport::useClientModel(Client::class);

        //

        Passport::useTokenModel(Token::class);
        Passport::useRefreshTokenModel(RefreshToken::class);
        Passport::useAuthCodeModel(AuthCode::class);
        Passport::useClientModel(Client::class);
        Passport::usePersonalAccessClientModel(PersonalAccessClient::class);
    }
}
